{% extends "dashboard/base.html" %}
{% load i18n %}
{% load static %}
{% load bootstrap %}
{% block stylesheet %}
<link href="{% static 'css/plugins/select2/select2.min.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/chosen/bootstrap-chosen.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/sweetalert/sweetalert.css' %}" rel="stylesheet">


{% endblock stylesheet  %}
{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Lista de Proyectos" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="#">{% trans "Evaluacion" %}</a>
            </li>
            <li class=active>
                <a href="#">{% trans "Proyectos" %}</a>
            </li>
        </ol>
    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="ibox">
           <div class="ibox-title">
                <h2 class="text-center">Filtrar Proyectos</h2>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                          <label for="asignaturas">Carrera:</label>
                          <select class="form-control" id="carrera">
                              <option value="0">Todas las Carreras</option>
                          </select>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                          <label for="asignaturas">Asignatura:</label>
                          <select class="form-control" id="asignatura">
                              <option value="0">Todas las Asignaturas</option>
                          </select>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                          <label for="asignaturas">Sección:</label>
                          <select class="form-control" id="seccion">
                              <option value="0">Todas las Secciones</option>
                          </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
       {% for project in projects %}
        <div class="col-lg-4">
            <div class="ibox">
                <div class="ibox-title">
                    <span class="label label-primary pull-right">En Curso</span>
                    <h5>{{project.name}}</h5>
                </div>
                <div class="ibox-content">
                    <div class="team-members">
                        {% for student in project.student_set.all %}
                        <a href=""><img alt="image" class="img-circle" src="/media/{{student.avatar}}"></a>
                        {% endfor %}
                    </div>
                    <h4>Resumen del Proyecto</h4>
                    <p>
                        {{project.description|truncatechars:200 }}
                    </p>
                    <!-- <div>
                        <span>Estado del Proyecto:</span>
                        <div class="stat-percent">48%</div>
                        <div class="progress progress-mini">
                            <div style="width: 48%;" class="progress-bar"></div>
                        </div>
                    </div> -->
                    <div class="row  m-t-sm">
                        <div class="col-sm-6">
                            <button data-toggle="modal" data-project_pk="{{project.pk}}" data-target="#exampleModal" class="btn btn-block evaluar btn-primary"> Evaluar </button>
                        </div>
                        <div class="col-md-6">
                            <button data-toggle="modal" data-target="#retroModal" data-project_pk="{{project.pk}}" class="btn retro btn-block btn-success"> Retroalimentar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>


<!-- modal block -->

        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <h1 class="text-center">Escoja al Alumno que desea evaluar.</h1>
              </div>
              <div class="modal-body">
                <div class="form-group">
                  <label for="asignaturas">Alumno:</label>
                  <select class="form-control" id="alumnos">
                  </select>
                </div>
                <div class="form-group">
                  <label for="asignaturas">Sesión:</label>
                  <select class="form-control" id="session">
                  </select>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" disabled id="evaluar" class="btn btn-primary">Evaluar</button>
                <button type="button" id="cancelar" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->
<!-- modal block -->

        <div class="modal fade" id="retroModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <h1 class="text-center">Escoja al Alumno que desea retroalimentar.</h1>
              </div>
              <div class="modal-body">
                <div class="form-group">
                  <label class="control-label" for="asignaturas">Alumno:</label>
                  <select class="form-control" id="alumnos_retro">
                  </select>
                </div>
                <div class="form-group">
                    <label for="retro" class="control-label">Retroalimentación: </label>
                    <textarea class="form-control" name="retro_al" id="retro_al" rows="10"></textarea>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" id="retroalimentar" class="btn btn-primary">Retroalimentar</button>
                <button type="button" id="cancelar" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->



{% endblock content %}

{% block javascript %}
<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>
<script src="{% static 'js/plugins/chosen/chosen.jquery.js' %}"></script>
<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>

<script>
$(document).ready(function(){
    $("#carrera").select2();
    $("#asignatura").select2();
    $("#seccion").select2();

    $("#alumnos").on("change",function(){
        var pk_student = $(this).val();
        data = {
            student_pk : pk_student,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        }
        $.post("{% url 'charge_session' %}",data,function(response){
            $("#session").html(response.sessions);
        });
    });

    $('.evaluar').on("click",function(){
            var project_pk = $(this).data("project_pk");
             data = {
                project_pk : project_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'charge_student' %}",data,function(response){
                $("#alumnos").html(response.students);
            });

    });
    
    $('.retro').on("click",function(){
            var project_pk = $(this).data("project_pk");
             data = {
                project_pk : project_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'charge_student' %}",data,function(response){
                $("#alumnos_retro").html(response.students);
            });

    });

    $("#session").on("change", function(){
        $("#evaluar").prop('disabled', false);
    });

    $("#evaluar").on("click", function(){
        var student_pk = $("#alumnos").val();
        var session_pk = $("#session").val();
        var url = "/dashboard/evaluation/student_evaluation/" + session_pk + "/"  + student_pk;
        window.location.href = url;

    });
    
    $(".retro").on("click",function(){
        project_pk = $(this).data("project_pk");
    });
    
    $("#retroalimentar").on("click", function(){
        var student_pk = $("#alumnos_retro").val();
        data = {
                student_pk : student_pk,
                project_pk : project_pk,
                retro_al : $("#retro_al").val(),
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
        $.post("{% url 'create_retro' %}",data,function(response){
                if(response.ok){
                    $("#retroModal").modal("toggle");
                    swal({
                        title: "Exito!",
                        text: "La retroalimentación fue guardada con exito!",
                        type: "success"
                    });
                }
        });
    });

})

</script>


{% endblock %}
